Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
mud
/
worlds
/
{world}
/
tables
/
{table_id}
/
records
/
{record_id}
Single MUD world table record.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records/{record_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records/{record_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records/{record_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "record": {
    "decoded": {},
    "id": "<string>",
    "is_deleted": true,
    "raw": {
      "block_number": "<string>",
      "dynamic_data": "<string>",
      "encoded_lengths": "<string>",
      "key0": "<string>",
      "key1": "<string>",
      "key_bytes": "<string>",
      "log_index": "<string>",
      "static_data": "<string>"
    },
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "schema": {
    "key_names": [
      "<string>"
    ],
    "key_types": [
      "<string>"
    ],
    "value_names": [
      "<string>"
    ],
    "value_types": [
      "<string>"
    ]
  },
  "table": {
    "table_full_name": "<string>",
    "table_id": "<string>",
    "table_name": "<string>",
    "table_namespace": "<string>"
  }
}
{
  "errors": [
    {
      "detail": "null value where string expected",
      "source": {
        "pointer": "/data/attributes/petName"
      },
      "title": "Invalid value"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
table_id
string
required

MUD table ID in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
record_id
string
required

MUD record ID in the path

Pattern: ^0x([A-Fa-f0-9]*)$
chain_id
string
required

The ID of the blockchain

Response

Single MUD world table record.

MUD Table with TableSchema struct.

record
Record · object
required

MUD Record struct.

schema
TableSchema · object
required

MUD TableSchema struct.

table
Table · object
required

MUD Table struct.